'''
Author: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
Date: 2024-04-18 15:19:44
LastEditors: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
LastEditTime: 2024-04-18 20:38:06
FilePath: /bench_tools/bench_tool/net-serial.py
Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
'''
"""
Author: chong.ma
Date: 2023-12-04 18:00:12
LastEditTime: 2024-04-09 19:22:57
FilePath: /root/bench_tool/bench_tool/net-serial.py
Description:

"""
import argparse
import re
import time
from utils.ConfigManagers import DeviceManager
from utils.SerialManagers import NET_Serials

USAGE = """
1. 检查串口服务器的状态
python3 net-serial.py  --check
"""

def main():
    parser = argparse.ArgumentParser(description="Network Serial Port Manager Tool", usage=USAGE)
    parser.add_argument("--check", action="store_true", help="Show network serial port server status.")

    args = parser.parse_args()

    if args.check:
        try:
            dm = DeviceManager()
            serial_dict = dm.BENCH_DICT.get("serials")
            if serial_dict:
                with NET_Serials(serial_dict) as serial:
                    serial.check_serial()
            else:
                print("No serial configuration found.")
        except Exception as e:
            print(f"An error occurred: {e}")
        else:
            print("Operation completed successfully.")

if __name__ == "__main__":
    main()

