'''
Author: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
Date: 2024-04-18 15:19:44
LastEditors: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
LastEditTime: 2024-04-19 13:12:23
FilePath: /bench_tools/bench_tool/usb-serial.py
Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
'''
"""
Author: chong.ma
Date: 2023-12-04 18:00:12
LastEditTime: 2024-04-09 19:27:41
FilePath: /root/bench_tool/bench_tool/usb-serial.py
Description:

"""

import argparse
import re
import subprocess
import time

from utils.ConfigManagers import DeviceManager
from utils.SerialManagers import USB_Serials

USAGE = """
usb单板串口，可多个组合
1. 固定USB串口的名称，在config里添加serials配置，执行如下操作
python3 usb-serial.py --action FIX

"""

if __name__ == "__main__":
    dm = DeviceManager()
    parser = argparse.ArgumentParser("固定USB串口的名称",usage=USAGE)

    parser.add_argument("--action", choices=['FIX'], help="操作类型，FIX: 固定串口名称")
    args = parser.parse_args()

    if dm.BENCH_DICT.get("serial_type") == "usb-serial":
        serial_dict = dm.BENCH_DICT.get("serials")
        if args.action == "FIX":
            with USB_Serials(serial_dict) as serial:
                serial.fix_serial()
                print("USB串口名称已固定。")
        else:
            print("没有找到合适的USB串口配置。请检查配置文件。")