'''
Author: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
Date: 2024-04-18 15:19:44
LastEditors: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
LastEditTime: 2024-04-18 20:42:36
FilePath: /bench_tools/bench_tool/peak-can.py
Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
'''
import argparse
import os
import subprocess
import sys

from utils.ConfigManagers import CanConfig, DeviceManager

sys.path.append(os.path.dirname(os.path.dirname(__file__)))

USAGE = """
Run this command under venv
1. 固定can设备名如cana000~can041
    首先拔掉所有can设备，然后执行以下命令
    python peak-can.py --action FIX --prefix can00
    按顺序插入第一个can设备，然后执行以下命令
    python peak-can.py --action FIX --prefix can00
    依次类推，直到所有can设备插入完成
    最后reboot系统
"""

def setup_parser():
    parser = argparse.ArgumentParser(description="Tool to fix CAN device names", usage=USAGE)
    parser.add_argument("--action", choices=['FIX'], required=True, help="Action must be 'FIX'")
    parser.add_argument("--prefix", choices=['can', 'can00'], default='can00', help="Prefix must be 'can' or 'can00'")
    return parser

def main():
    parser = setup_parser()
    args = parser.parse_args()
    
    if args.action == "FIX":
        fix_can_devices(args.prefix)

def fix_can_devices(prefix):
    with CanConfig() as can_config:
        execute_commands([
            "rm -f /etc/udev/rules.d/70-persistent-net*",
            f"echo Generated udev rule for prefix: {prefix}",
            "mv ./70-persistent-net.rules /etc/udev/rules.d/",
            "udevadm control --reload-rules && udevadm trigger",
            "cat /etc/udev/rules.d/70-persistent-net.rules"
        ])

def execute_commands(commands):
    for cmd in commands:
        try:
            result = subprocess.check_output(cmd, shell=True)
            print(result.decode("utf-8"))
        except subprocess.CalledProcessError as e:
            print(f"Error executing {cmd}: {e}")

if __name__ == "__main__":
    main()
