'''
Author: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
Date: 2024-04-18 15:19:44
LastEditors: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
LastEditTime: 2024-04-18 16:07:04
FilePath: /bench_tools/bench_tool/res-box.py
Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
'''
#!/usr/bin/env python3
"""
Author: chong.ma
Date: 2023-10-23 13:32:36
LastEditTime: 2024-04-09 19:51:53
FilePath: /root/bench_tool/bench_tool/res-box.py
Description: Simplified command line interface for controlling Da Ding resistor cards.
"""

import argparse
from utils.ConfigManagers import DeviceManager
from utils.ResManagers import ResManager

def main():
    parser = argparse.ArgumentParser(description="Control Da Ding resistor card settings using simplified commands.")

    # Command-line arguments setup
    parser.add_argument('cmd', choices=['rset', 'chset', 'get_id'], help="Command to execute.")
    parser.add_argument('id', type=int, nargs='?', default=None, help="Board ID (1 to 4).")
    parser.add_argument('ch', type=int, nargs='?', default=None, help="Channel ID (1 to 16).")
    parser.add_argument('val', type=int, nargs='?', default=None, help="Resistance value (12 to 20000).")
    parser.add_argument('en', nargs='?', default="On", choices=["On", "Off"], help="Enable state.")

    args = parser.parse_args()

    # Device manager setup
    dm = DeviceManager()
    with ResManager(channel=dm.BENCH_DICT.get("can").get("Resistor")) as manager:
        if args.cmd == "rset":
            manager.single_res_cmd(args.id, args.ch, args.val, args.en)
        elif args.cmd == "chset":
            manager.set_id(args.id)
        elif args.cmd == "get_id":
            manager.get_id()

if __name__ == "__main__":
    main()
