from setuptools import find_packages, setup

__version__ = "1.1.3"
setup(
    packages=find_packages(),
    package_data={
        "dm": [
            "*/*.json",
            "*/*.csv",
            "*/*.yaml",
            "*/*/*.json",
            "*/*/*.csv",
            "*/*/*.yaml",
            "*/*/*/*.csv",
        ],
    },
    include_package_data=True,
    entry_points={
        "console_scripts": [
            "deviceManager = dm.cli:main",
        ]
    },
    python_requires=">=3.7",
)
