"""
Author: chong.ma
Date: 2023-11-16 14:47:58
LastEditTime: 2023-12-21 11:38:04
FilePath: /root/.config/rop-agent/drivers/bench_tool/bench_tool/utils/Logger.py
Description:

"""
import logging

# 配置日志设置，将日志记录在文件'device_test.log'中，设置日志级别为INFO
# 定义日志的格式，包括时间、日志级别和消息内容
# 设置时间的格式为'年-月-日 时:分:秒'
# logging.basicConfig(filename='device_test.log', level=logging.INFO, format='%(asctime)s %(levelname)s: %(message)s', datefmt='%Y-%m-%d %H:%M:%S')


def get_logger(log):
    logger = logging.getLogger(log)
    logger.setLevel(logging.INFO)

    console_handle = logging.StreamHandler()

    log_file = "docs/logger.log"
    file_handle = logging.FileHandler(log_file)
    file_handle.setLevel(logging.INFO)
    formatter = logging.Formatter("%(asctime)s - %(name)s - %(levelname)s - %(message)s")

    console_handle.setFormatter(formatter)
    file_handle.setFormatter(formatter)

    logger.addHandler(console_handle)
    logger.addHandler(file_handle)

    return logger
